/*
	Copyright 07/18/96 Sun Microsystems, Inc. All Rights Reserved
*/
/*ident	"@(#)ctrans:incl-master/proto-headers/sysent.h	1.12" */
/* Sun @(#)sysent.h 1.1 92/06/22 SMI */

#ifndef _SYSENT_H
#define _SYSENT_H

#ifndef _UNISTD_H
#include <unistd.h>
#endif

#ifndef _STDLIB_H
#include <stdlib.h>
#endif

#ifndef _SYS_STAT_H
#include <sys/stat.h>
#endif

#ifdef  __cplusplus
extern "C" {
#endif

extern	int	async_daemon();
extern	int	getdomainname(char*, int);
extern	int	gethostname(char*, int);
extern	int	setdomainname(const char*, int);
extern	int	sethostname(const char*, int);
extern	int	shutdown(int, int);
extern	int	syscall(int ...);
extern	int	fchroot(int);
extern	int	nfssvc(int);
extern	void	vhangup();
extern	int	setegid(gid_t);
extern	int	seteuid(uid_t);

extern	int	getdirentries(int, char*, int, long*);
extern	int	swapon(const char*);
extern	int	getdtablesize();
extern	int	flock(int, int);
extern	long	gethostid();
extern	int	getpagesize();
extern	int	killpg(pid_t, int);
extern	int	vadvise(int);
extern	int	setreuid(uid_t, uid_t);
extern	int	setregid(gid_t, gid_t);
extern	int	setrgid(gid_t);
extern	int	setruid(uid_t);

#ifdef  __cplusplus
}
#endif

#endif

